From 4bcdd17e0bfaa8cd632ed647007e1a681095eb9f Mon Sep 17 00:00:00 2001
From: Justin Pryzby <pryzbyj@telsasoft.com>
Date: Sat, 2 Apr 2022 11:58:06 -0500
Subject: [PATCH 05/13] Extraneous blank lines

I noticed some left behind by d61a361d1, and searched for the others like:

git grep -nB1 '^}' '*.c' |less
... \.c-[0-9]*-$

I've omitted some that involved structures or conditional compilation.
---
 contrib/btree_gist/btree_bit.c                                | 1 -
 contrib/btree_gist/btree_cash.c                               | 1 -
 contrib/btree_gist/btree_float4.c                             | 1 -
 contrib/btree_gist/btree_float8.c                             | 1 -
 contrib/btree_gist/btree_inet.c                               | 1 -
 contrib/btree_gist/btree_interval.c                           | 2 --
 contrib/btree_gist/btree_macaddr.c                            | 1 -
 contrib/btree_gist/btree_macaddr8.c                           | 1 -
 contrib/btree_gist/btree_ts.c                                 | 1 -
 contrib/dblink/dblink.c                                       | 2 --
 contrib/pg_stat_statements/pg_stat_statements.c               | 1 -
 contrib/postgres_fdw/connection.c                             | 1 -
 src/backend/access/nbtree/nbtutils.c                          | 1 -
 src/backend/access/rmgrdesc/gistdesc.c                        | 1 -
 src/backend/access/spgist/spgutils.c                          | 1 -
 src/backend/access/table/tableam.c                            | 1 -
 src/backend/commands/tablecmds.c                              | 1 -
 src/backend/executor/nodeMergejoin.c                          | 1 -
 src/backend/optimizer/geqo/geqo_erx.c                         | 1 -
 src/backend/optimizer/geqo/geqo_ox1.c                         | 1 -
 src/backend/optimizer/geqo/geqo_ox2.c                         | 1 -
 src/backend/optimizer/geqo/geqo_px.c                          | 1 -
 src/backend/replication/logical/snapbuild.c                   | 1 -
 src/backend/replication/pgoutput/pgoutput.c                   | 1 -
 src/backend/statistics/dependencies.c                         | 1 -
 src/backend/storage/sync/sync.c                               | 1 -
 src/backend/tcop/postgres.c                                   | 1 -
 src/backend/tsearch/to_tsany.c                                | 1 -
 src/backend/utils/adt/acl.c                                   | 1 -
 src/backend/utils/adt/json.c                                  | 1 -
 src/backend/utils/adt/jsonfuncs.c                             | 1 -
 src/backend/utils/cache/catcache.c                            | 1 -
 src/backend/utils/resowner/resowner.c                         | 1 -
 src/bin/initdb/initdb.c                                       | 2 --
 src/interfaces/ecpg/ecpglib/misc.c                            | 1 -
 src/interfaces/ecpg/pgtypeslib/numeric.c                      | 1 -
 src/interfaces/ecpg/pgtypeslib/timestamp.c                    | 4 +---
 src/interfaces/libpq/fe-connect.c                             | 1 -
 .../modules/ssl_passphrase_callback/ssl_passphrase_func.c     | 1 -
 39 files changed, 1 insertion(+), 44 deletions(-)

diff --git a/contrib/btree_gist/btree_bit.c b/contrib/btree_gist/btree_bit.c
index 2225244ded5..5b246bcde4b 100644
--- a/contrib/btree_gist/btree_bit.c
+++ b/contrib/btree_gist/btree_bit.c
@@ -104,7 +104,6 @@ gbt_bit_l2n(GBT_VARKEY *leaf, FmgrInfo *flinfo)
 	pfree(o);
 
 	return out;
-
 }
 
 static const gbtree_vinfo tinfo =
diff --git a/contrib/btree_gist/btree_cash.c b/contrib/btree_gist/btree_cash.c
index dfa23224b6f..6ac97e2b12a 100644
--- a/contrib/btree_gist/btree_cash.c
+++ b/contrib/btree_gist/btree_cash.c
@@ -195,7 +195,6 @@ gbt_cash_penalty(PG_FUNCTION_ARGS)
 	penalty_num(result, origentry->lower, origentry->upper, newentry->lower, newentry->upper);
 
 	PG_RETURN_POINTER(result);
-
 }
 
 Datum
diff --git a/contrib/btree_gist/btree_float4.c b/contrib/btree_gist/btree_float4.c
index b5d9175e6d5..3cbd9a06dcc 100644
--- a/contrib/btree_gist/btree_float4.c
+++ b/contrib/btree_gist/btree_float4.c
@@ -190,7 +190,6 @@ gbt_float4_penalty(PG_FUNCTION_ARGS)
 	penalty_num(result, origentry->lower, origentry->upper, newentry->lower, newentry->upper);
 
 	PG_RETURN_POINTER(result);
-
 }
 
 Datum
diff --git a/contrib/btree_gist/btree_float8.c b/contrib/btree_gist/btree_float8.c
index 8fe1fedeef8..b95a08e228b 100644
--- a/contrib/btree_gist/btree_float8.c
+++ b/contrib/btree_gist/btree_float8.c
@@ -197,7 +197,6 @@ gbt_float8_penalty(PG_FUNCTION_ARGS)
 	penalty_num(result, origentry->lower, origentry->upper, newentry->lower, newentry->upper);
 
 	PG_RETURN_POINTER(result);
-
 }
 
 Datum
diff --git a/contrib/btree_gist/btree_inet.c b/contrib/btree_gist/btree_inet.c
index e4b3a946b27..2fb952dca83 100644
--- a/contrib/btree_gist/btree_inet.c
+++ b/contrib/btree_gist/btree_inet.c
@@ -165,7 +165,6 @@ gbt_inet_penalty(PG_FUNCTION_ARGS)
 	penalty_num(result, origentry->lower, origentry->upper, newentry->lower, newentry->upper);
 
 	PG_RETURN_POINTER(result);
-
 }
 
 Datum
diff --git a/contrib/btree_gist/btree_interval.c b/contrib/btree_gist/btree_interval.c
index a4b3b2b1e6f..c2bf82086df 100644
--- a/contrib/btree_gist/btree_interval.c
+++ b/contrib/btree_gist/btree_interval.c
@@ -173,7 +173,6 @@ gbt_intv_compress(PG_FUNCTION_ARGS)
 	}
 
 	PG_RETURN_POINTER(retval);
-
 }
 
 Datum
@@ -276,7 +275,6 @@ gbt_intv_penalty(PG_FUNCTION_ARGS)
 	penalty_num(result, iorg[0], iorg[1], inew[0], inew[1]);
 
 	PG_RETURN_POINTER(result);
-
 }
 
 Datum
diff --git a/contrib/btree_gist/btree_macaddr.c b/contrib/btree_gist/btree_macaddr.c
index 7f0e9e9c912..17290529c02 100644
--- a/contrib/btree_gist/btree_macaddr.c
+++ b/contrib/btree_gist/btree_macaddr.c
@@ -174,7 +174,6 @@ gbt_macad_penalty(PG_FUNCTION_ARGS)
 	penalty_num(result, iorg[0], iorg[1], inew[0], inew[1]);
 
 	PG_RETURN_POINTER(result);
-
 }
 
 Datum
diff --git a/contrib/btree_gist/btree_macaddr8.c b/contrib/btree_gist/btree_macaddr8.c
index ab4bca5d50d..796cc4efee3 100644
--- a/contrib/btree_gist/btree_macaddr8.c
+++ b/contrib/btree_gist/btree_macaddr8.c
@@ -174,7 +174,6 @@ gbt_macad8_penalty(PG_FUNCTION_ARGS)
 	penalty_num(result, iorg[0], iorg[1], inew[0], inew[1]);
 
 	PG_RETURN_POINTER(result);
-
 }
 
 Datum
diff --git a/contrib/btree_gist/btree_ts.c b/contrib/btree_gist/btree_ts.c
index 2671ba961cd..a51900941e5 100644
--- a/contrib/btree_gist/btree_ts.c
+++ b/contrib/btree_gist/btree_ts.c
@@ -377,7 +377,6 @@ gbt_ts_penalty(PG_FUNCTION_ARGS)
 	penalty_num(result, orgdbl[0], orgdbl[1], newdbl[0], newdbl[1]);
 
 	PG_RETURN_POINTER(result);
-
 }
 
 
diff --git a/contrib/dblink/dblink.c b/contrib/dblink/dblink.c
index a06d4bd12db..a561d1d6524 100644
--- a/contrib/dblink/dblink.c
+++ b/contrib/dblink/dblink.c
@@ -1004,7 +1004,6 @@ materializeResult(FunctionCallInfo fcinfo, PGconn *conn, PGresult *res)
 
 			/* clean up GUC settings, if we changed any */
 			restoreLocalGucs(nestlevel);
-
 		}
 	}
 	PG_FINALLY();
@@ -2635,7 +2634,6 @@ deleteConnection(const char *name)
 		ereport(ERROR,
 				(errcode(ERRCODE_UNDEFINED_OBJECT),
 				 errmsg("undefined connection name")));
-
 }
 
 static void
diff --git a/contrib/pg_stat_statements/pg_stat_statements.c b/contrib/pg_stat_statements/pg_stat_statements.c
index 1ca67ef6234..df2ce63790b 100644
--- a/contrib/pg_stat_statements/pg_stat_statements.c
+++ b/contrib/pg_stat_statements/pg_stat_statements.c
@@ -1849,7 +1849,6 @@ pg_stat_statements_internal(FunctionCallInfo fcinfo,
 
 	if (qbuffer)
 		free(qbuffer);
-
 }
 
 /* Number of output arguments (columns) for pg_stat_statements_info */
diff --git a/contrib/postgres_fdw/connection.c b/contrib/postgres_fdw/connection.c
index 129ca792214..f9b8c01f3b9 100644
--- a/contrib/postgres_fdw/connection.c
+++ b/contrib/postgres_fdw/connection.c
@@ -1734,7 +1734,6 @@ postgres_fdw_get_connections(PG_FUNCTION_ARGS)
 		tuplestore_putvalues(rsinfo->setResult, rsinfo->setDesc, values, nulls);
 	}
 
-
 	PG_RETURN_VOID();
 }
 
diff --git a/src/backend/access/nbtree/nbtutils.c b/src/backend/access/nbtree/nbtutils.c
index 96c72fc4324..5361b147e30 100644
--- a/src/backend/access/nbtree/nbtutils.c
+++ b/src/backend/access/nbtree/nbtutils.c
@@ -2123,7 +2123,6 @@ btoptions(Datum reloptions, bool validate)
 									  RELOPT_KIND_BTREE,
 									  sizeof(BTOptions),
 									  tab, lengthof(tab));
-
 }
 
 /*
diff --git a/src/backend/access/rmgrdesc/gistdesc.c b/src/backend/access/rmgrdesc/gistdesc.c
index 9cab4fa1580..d0c8e247c1d 100644
--- a/src/backend/access/rmgrdesc/gistdesc.c
+++ b/src/backend/access/rmgrdesc/gistdesc.c
@@ -38,7 +38,6 @@ out_gistxlogDelete(StringInfo buf, gistxlogDelete *xlrec)
 {
 	appendStringInfo(buf, "delete: latestRemovedXid %u, nitems: %u",
 					 xlrec->latestRemovedXid, xlrec->ntodelete);
-
 }
 
 static void
diff --git a/src/backend/access/spgist/spgutils.c b/src/backend/access/spgist/spgutils.c
index 1ae7492216a..a171ca8a08a 100644
--- a/src/backend/access/spgist/spgutils.c
+++ b/src/backend/access/spgist/spgutils.c
@@ -747,7 +747,6 @@ spgoptions(Datum reloptions, bool validate)
 									  RELOPT_KIND_SPGIST,
 									  sizeof(SpGistOptions),
 									  tab, lengthof(tab));
-
 }
 
 /*
diff --git a/src/backend/access/table/tableam.c b/src/backend/access/table/tableam.c
index 4f20c6ac12a..b3d1a6c3f8f 100644
--- a/src/backend/access/table/tableam.c
+++ b/src/backend/access/table/tableam.c
@@ -381,7 +381,6 @@ simple_table_tuple_update(Relation rel, ItemPointer otid,
 			elog(ERROR, "unrecognized table_tuple_update status: %u", result);
 			break;
 	}
-
 }
 
 
diff --git a/src/backend/commands/tablecmds.c b/src/backend/commands/tablecmds.c
index 90edd0bb97d..2840bc527bc 100644
--- a/src/backend/commands/tablecmds.c
+++ b/src/backend/commands/tablecmds.c
@@ -3773,7 +3773,6 @@ RenameConstraint(RenameStmt *stmt)
 									stmt->relation->inh),	/* recursive? */
 								   false,	/* recursing? */
 								   0 /* expected inhcount */ );
-
 }
 
 /*
diff --git a/src/backend/executor/nodeMergejoin.c b/src/backend/executor/nodeMergejoin.c
index edb8972c5bf..864e3baf86b 100644
--- a/src/backend/executor/nodeMergejoin.c
+++ b/src/backend/executor/nodeMergejoin.c
@@ -1674,5 +1674,4 @@ ExecReScanMergeJoin(MergeJoinState *node)
 		ExecReScan(node->js.ps.lefttree);
 	if (node->js.ps.righttree->chgParam == NULL)
 		ExecReScan(node->js.ps.righttree);
-
 }
diff --git a/src/backend/optimizer/geqo/geqo_erx.c b/src/backend/optimizer/geqo/geqo_erx.c
index 3b92f420e0a..d98c0a59e71 100644
--- a/src/backend/optimizer/geqo/geqo_erx.c
+++ b/src/backend/optimizer/geqo/geqo_erx.c
@@ -226,7 +226,6 @@ gimme_tour(PlannerInfo *root, Edge *edge_table, Gene *new_gene, int num_gene)
 	}							/* for (i=1; i<num_gene; i++) */
 
 	return edge_failures;
-
 }
 
 /* remove_gene
diff --git a/src/backend/optimizer/geqo/geqo_ox1.c b/src/backend/optimizer/geqo/geqo_ox1.c
index 10d2d0a33ae..ede7abb4177 100644
--- a/src/backend/optimizer/geqo/geqo_ox1.c
+++ b/src/backend/optimizer/geqo/geqo_ox1.c
@@ -89,7 +89,6 @@ ox1(PlannerInfo *root, Gene *tour1, Gene *tour2, Gene *offspring, int num_gene,
 		}
 		p = (p + 1) % num_gene; /* increment tour2-index */
 	}
-
 }
 
 #endif							/* defined(OX1) */
diff --git a/src/backend/optimizer/geqo/geqo_ox2.c b/src/backend/optimizer/geqo/geqo_ox2.c
index 72b9b0fb871..080dbc076cc 100644
--- a/src/backend/optimizer/geqo/geqo_ox2.c
+++ b/src/backend/optimizer/geqo/geqo_ox2.c
@@ -106,7 +106,6 @@ ox2(PlannerInfo *root, Gene *tour1, Gene *tour2, Gene *offspring, int num_gene,
 			/* city isn't used yet, so inherit from tour2 */
 			offspring[k] = tour2[k];
 	}
-
 }
 
 #endif							/* defined(OX2) */
diff --git a/src/backend/optimizer/geqo/geqo_px.c b/src/backend/optimizer/geqo/geqo_px.c
index ad5ad3f1e57..0346554bc09 100644
--- a/src/backend/optimizer/geqo/geqo_px.c
+++ b/src/backend/optimizer/geqo/geqo_px.c
@@ -104,7 +104,6 @@ px(PlannerInfo *root, Gene *tour1, Gene *tour2, Gene *offspring, int num_gene,
 		}
 
 	}
-
 }
 
 #endif							/* defined(PX) */
diff --git a/src/backend/replication/logical/snapbuild.c b/src/backend/replication/logical/snapbuild.c
index 83fca8a77d9..1119a12db9e 100644
--- a/src/backend/replication/logical/snapbuild.c
+++ b/src/backend/replication/logical/snapbuild.c
@@ -1380,7 +1380,6 @@ SnapBuildFindSnapshot(SnapBuild *builder, XLogRecPtr lsn, xl_running_xacts *runn
 	 * records so incremental cleanup can be performed.
 	 */
 	return true;
-
 }
 
 /* ---
diff --git a/src/backend/replication/pgoutput/pgoutput.c b/src/backend/replication/pgoutput/pgoutput.c
index fe5accca576..8b55ebdd4d2 100644
--- a/src/backend/replication/pgoutput/pgoutput.c
+++ b/src/backend/replication/pgoutput/pgoutput.c
@@ -1066,7 +1066,6 @@ pgoutput_column_list_init(PGOutputData *data, List *publications,
 
 		ReleaseSysCache(cftuple);
 	}	/* loop all subscribed publications */
-
 }
 
 /*
diff --git a/src/backend/statistics/dependencies.c b/src/backend/statistics/dependencies.c
index 34326d55619..b6f31849616 100644
--- a/src/backend/statistics/dependencies.c
+++ b/src/backend/statistics/dependencies.c
@@ -199,7 +199,6 @@ DependencyGenerator_free(DependencyGenerator state)
 {
 	pfree(state->dependencies);
 	pfree(state);
-
 }
 
 /* generate next combination */
diff --git a/src/backend/storage/sync/sync.c b/src/backend/storage/sync/sync.c
index c695d816fc6..e1fb6310038 100644
--- a/src/backend/storage/sync/sync.c
+++ b/src/backend/storage/sync/sync.c
@@ -162,7 +162,6 @@ InitSync(void)
 								 HASH_ELEM | HASH_BLOBS | HASH_CONTEXT);
 		pendingUnlinks = NIL;
 	}
-
 }
 
 /*
diff --git a/src/backend/tcop/postgres.c b/src/backend/tcop/postgres.c
index 95dc2e2c835..304cce135aa 100644
--- a/src/backend/tcop/postgres.c
+++ b/src/backend/tcop/postgres.c
@@ -2636,7 +2636,6 @@ exec_describe_statement_message(const char *stmt_name)
 	}
 	else
 		pq_putemptymessage('n');	/* NoData */
-
 }
 
 /*
diff --git a/src/backend/tsearch/to_tsany.c b/src/backend/tsearch/to_tsany.c
index 1b0a1e244b8..6053a9e31f2 100644
--- a/src/backend/tsearch/to_tsany.c
+++ b/src/backend/tsearch/to_tsany.c
@@ -720,5 +720,4 @@ websearch_to_tsquery(PG_FUNCTION_ARGS)
 	PG_RETURN_DATUM(DirectFunctionCall2(websearch_to_tsquery_byid,
 										ObjectIdGetDatum(cfgId),
 										PointerGetDatum(in)));
-
 }
diff --git a/src/backend/utils/adt/acl.c b/src/backend/utils/adt/acl.c
index 8bdba1c42a5..772c04155c3 100644
--- a/src/backend/utils/adt/acl.c
+++ b/src/backend/utils/adt/acl.c
@@ -3094,7 +3094,6 @@ convert_database_priv_string(text *priv_type_text)
 	};
 
 	return convert_any_priv_string(priv_type_text, database_priv_map);
-
 }
 
 
diff --git a/src/backend/utils/adt/json.c b/src/backend/utils/adt/json.c
index 4cf01300d8b..18f19014d0a 100644
--- a/src/backend/utils/adt/json.c
+++ b/src/backend/utils/adt/json.c
@@ -1501,7 +1501,6 @@ json_object(PG_FUNCTION_ARGS)
 	pfree(result.data);
 
 	PG_RETURN_TEXT_P(rval);
-
 }
 
 /*
diff --git a/src/backend/utils/adt/jsonfuncs.c b/src/backend/utils/adt/jsonfuncs.c
index a682d9c9734..d1356d64166 100644
--- a/src/backend/utils/adt/jsonfuncs.c
+++ b/src/backend/utils/adt/jsonfuncs.c
@@ -4168,7 +4168,6 @@ json_strip_nulls(PG_FUNCTION_ARGS)
 
 	PG_RETURN_TEXT_P(cstring_to_text_with_len(state->strval->data,
 											  state->strval->len));
-
 }
 
 /*
diff --git a/src/backend/utils/cache/catcache.c b/src/backend/utils/cache/catcache.c
index ec073e1ed06..233bcb63180 100644
--- a/src/backend/utils/cache/catcache.c
+++ b/src/backend/utils/cache/catcache.c
@@ -1962,7 +1962,6 @@ CatCacheCopyKeys(TupleDesc tupdesc, int nkeys, int *attnos,
 							   att->attbyval,
 							   att->attlen);
 	}
-
 }
 
 /*
diff --git a/src/backend/utils/resowner/resowner.c b/src/backend/utils/resowner/resowner.c
index 3236b1b9195..ceb4b0e3f75 100644
--- a/src/backend/utils/resowner/resowner.c
+++ b/src/backend/utils/resowner/resowner.c
@@ -896,7 +896,6 @@ CreateAuxProcessResourceOwner(void)
 	 * owner.  (This needs to run after, e.g., ShutdownXLOG.)
 	 */
 	on_shmem_exit(ReleaseAuxProcessResourcesCallback, 0);
-
 }
 
 /*
diff --git a/src/bin/initdb/initdb.c b/src/bin/initdb/initdb.c
index ab826da6505..1cb4a5b0d21 100644
--- a/src/bin/initdb/initdb.c
+++ b/src/bin/initdb/initdb.c
@@ -2407,7 +2407,6 @@ setup_locale_encoding(void)
 	if (!check_locale_encoding(lc_ctype, encodingid) ||
 		!check_locale_encoding(lc_collate, encodingid))
 		exit(1);				/* check_locale_encoding printed the error */
-
 }
 
 
@@ -2486,7 +2485,6 @@ setup_text_search(void)
 
 	printf(_("The default text search configuration will be set to \"%s\".\n"),
 		   default_text_search_config);
-
 }
 
 
diff --git a/src/interfaces/ecpg/ecpglib/misc.c b/src/interfaces/ecpg/ecpglib/misc.c
index b8dbe5e7f3b..1eef1ec044c 100644
--- a/src/interfaces/ecpg/ecpglib/misc.c
+++ b/src/interfaces/ecpg/ecpglib/misc.c
@@ -191,7 +191,6 @@ ECPGtransactionStatus(const char *connection_name)
 	}
 
 	return PQtransactionStatus(con->connection);
-
 }
 
 bool
diff --git a/src/interfaces/ecpg/pgtypeslib/numeric.c b/src/interfaces/ecpg/pgtypeslib/numeric.c
index dbe4eb21e27..34efc9045f3 100644
--- a/src/interfaces/ecpg/pgtypeslib/numeric.c
+++ b/src/interfaces/ecpg/pgtypeslib/numeric.c
@@ -1308,7 +1308,6 @@ PGTYPESnumeric_cmp(numeric *var1, numeric *var2)
 
 	errno = PGTYPES_NUM_BAD_NUMERIC;
 	return INT_MAX;
-
 }
 
 int
diff --git a/src/interfaces/ecpg/pgtypeslib/timestamp.c b/src/interfaces/ecpg/pgtypeslib/timestamp.c
index 3f82ee54a5f..9aff95cf5e3 100644
--- a/src/interfaces/ecpg/pgtypeslib/timestamp.c
+++ b/src/interfaces/ecpg/pgtypeslib/timestamp.c
@@ -863,8 +863,6 @@ PGTYPEStimestamp_add_interval(timestamp * tin, interval * span, timestamp * tout
 {
 	if (TIMESTAMP_NOT_FINITE(*tin))
 		*tout = *tin;
-
-
 	else
 	{
 		if (span->month != 0)
@@ -902,8 +900,8 @@ PGTYPEStimestamp_add_interval(timestamp * tin, interval * span, timestamp * tout
 		*tin += span->time;
 		*tout = *tin;
 	}
-	return 0;
 
+	return 0;
 }
 
 
diff --git a/src/interfaces/libpq/fe-connect.c b/src/interfaces/libpq/fe-connect.c
index cf554d389fa..4c12f1411f7 100644
--- a/src/interfaces/libpq/fe-connect.c
+++ b/src/interfaces/libpq/fe-connect.c
@@ -664,7 +664,6 @@ PQconnectdbParams(const char *const *keywords,
 		(void) connectDBComplete(conn);
 
 	return conn;
-
 }
 
 /*
diff --git a/src/test/modules/ssl_passphrase_callback/ssl_passphrase_func.c b/src/test/modules/ssl_passphrase_callback/ssl_passphrase_func.c
index 7c469fd57e8..b5bb5580a0f 100644
--- a/src/test/modules/ssl_passphrase_callback/ssl_passphrase_func.c
+++ b/src/test/modules/ssl_passphrase_callback/ssl_passphrase_func.c
@@ -89,5 +89,4 @@ rot13_passphrase(char *buf, int size, int rwflag, void *userdata)
 	}
 
 	return strlen(buf);
-
 }
-- 
2.17.1

